Subject: Re: H.248 Mode Parameter

From: Christian Groves <[email-masked]>
Date: Mon, 15 Jan 2001 14:49:05 +1100

G'Day Tom,

Yes inactive was my recollection. I'll add the following to the next
version of the implementor's guide that I'm  now compiling.

1.4 Stream Mode default

Description:     When adding a termination to a context the stream mode
should be set to inactive unless specified overwise. This is not
mentioned in the text.
Reference:       Subject: Re: H.248 Mode Parameter
 Date: Fri, 8 Dec 2000 13:23:09 -0500
 From: "Taylor, Tom-PT [NORSE:B901:EXCH]" <[email-masked]>
 To: [email-masked]
 [Begin Correction]
7.1.7 LocalControl Descriptor
The LocalControl Descriptor contains the Mode property, the ReserveGroup
and ReserveValue properties and properties of a termination (defined in
Packages) that are stream specific, and are of interest between the MG
and the MGC.  Values of properties may be underspecified as in section
7.1.1.

The allowed values for the mode property are send-only, receive-only,
send/receive, inactive and loop-back.  "Send" and "receive" are with
respect to the exterior of the context, so that, for example, a stream
set to mode=sendonly does not pass received media into the context.
>>>>The default value for the mode property is "Inactive".<<<< Signals and Events are not affected by mode.
…
 [End Correction]

Any comments or additions?

Cheers, Christian

"Taylor, Tom-PT [NORSE:B901:EXCH]" wrote:
>
> I vaguely recall discussion of default mode half a year to a year ago.
> (Getting old -- used to be I could locate the reference.)  May I confirm the
> consensus as stated on the list?  Then we can see about getting it added to
> the IG.
>
> > -----Original Message-----
> > From: David Dykhuizen [mailto:[email-masked]]
> > Sent: Friday, December 08, 2000 10:46 AM
> > To: [email-masked]
> > Subject: [MEGACO] H.248 Mode Parameter
> >
> >
> > Hello:
> >
> > Currently running into some issues with the "Mode" parameter
> > within H.248.  If we look at the interop report, full report
> > available at:
> >
> > http://search.ietf.org/internet-drafts/draft-rosen-megaco-inte
> > rop-1-report-00.tx
> >
> > we see the following:
> >
> >   4. Is it REQUIRED that the MGC send a media descriptor to a PHYSICAL
> >       termination in order to get media to flow?
> >
> >       There are two questions actually:
> >       1) Is there a default state of MODE (text is silent)
> >       2) Should the MG demand a media descriptor before allowing media
> >
> >       flow?
> >
> >       Consensus is that:
> >       1) The default for MODE is Inactive
> >       2) MGCs should always send a media descriptor, with at least a
> >       MODE setting
> >       3) MGs should not depend on 2)
> >
> >
> > Was this issue ever followed up?  The report indicates there was a
> > "Consensus" that mode should be Inactive (note: would be nice to know
> > the reasons) but we don't have anything in the Implementors' Guide.
> >
> >
> > Thanks,
> > /David
> >